<?php
  
//Обновление о посещении гостей при переходах по страницам
IF (!ISSET($user)){
  
  IF (DB::GET_COLUMN("SELECT COUNT(`ID`) FROM `GUESTS` WHERE `IP` = '".IP."' AND `BROWSER` = '".USER_BROWSER."' LIMIT 1") == 0){
    
    DB::GET_ADD("INSERT INTO `GUESTS` (`IP`, `BROWSER`, `DATE_VISIT`, `DATE_VISIT_TIME`, `TRANSITIONS`, `DATE_CREATE`) VALUES ('".IP."', '".USER_BROWSER."', '".TIME()."', '".(TIME() + 12)."', '1', '".TIME()."')");
    
  }ELSE{
    
    IF (DB::GET_COLUMN("SELECT COUNT(`ID`) FROM `GUESTS` WHERE `IP` = '".IP."' AND `BROWSER` = '".USER_BROWSER."' AND `DATE_VISIT_TIME` < '".TIME()."' LIMIT 1") == 1){
      
      $guests = DB::GET_STRING("SELECT `TRANSITIONS` FROM `GUESTS` WHERE `IP` = '".IP."' AND `BROWSER` = '".USER_BROWSER."' LIMIT 1");
      
      DB::GET_SET("UPDATE `GUESTS` SET `DATE_VISIT` = '".TIME()."', `DATE_VISIT_TIME` = '".(TIME() + 12)."', `TRANSITIONS` = '".($guests['TRANSITIONS'] + 1)."' WHERE `IP` = '".IP."' AND `BROWSER` = '".USER_BROWSER."' LIMIT 1");
      
    }
    
  }
  
}
  
?>